OnlyFans API
FanslyTracking Links

Update Tracking Link

Update an existing tracking link's label and description.

PUT
/api/fansly/{fanslyAccount}/tracking-links/{tracking_link_id}
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

tracking_link_id*string

The Fansly tracking link ID.

Request Body

application/json

label*string

The updated label for the tracking link.

description?string

Optional description for the tracking link.

Response Body

application/json

curl -X PUT "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/tracking-links/845759434926862336" \  -H "Content-Type: application/json" \  -d '{    "label": "Twitter bio (updated)"  }'
{
  "data": {
    "id": "100000000000000003",
    "accountId": "800000000000000001",
    "internalId": "1002",
    "type": 1000,
    "status": 1,
    "label": "Twitter bio (updated)",
    "description": "Updated description.",
    "metadata": "{}",
    "createdAt": 1780512430000,
    "clicks": null,
    "claims": null,
    "follows": null,
    "subscriptions": null,
    "totalNet": null,
    "totalGross": null
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055796,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}